Subject: Re: possible problem in memory management

From: Frank Rowand <[email-masked]>
Date: Wed, 21 Mar 2001 14:03:58 -0800

Dan Malek wrote:
>
> Matthias Fuchs wrote:
>
> >   CPU:   IBM PowerPC 405GP Rev. C at 198 MHz (PLB=99, OPB=49, EBC=33 MHz)
>
> Get yourself an up to date Rev. D CPU.  The Rev. C workarounds in
> the kernel were reasonable attempts, but probably aren't complete.

Dan is correct.  We did not do an exhaustive scan of the kernel to add
workarounds in all places they might be necesary, just enough to make the
kernel fairly stable and usable.  Even in the places where the workarounds
are in place, they are not guaranteed to be 100% effective.

> Since the Rev. D fixes all of these problems, we stopped debugging
> all of the little Rev. C problems because they were just too time
> consuming.
>
> You also need specially patched user libraries for anything older
> than Rev. D, and you can't use these patches libraries on Rev. D,
> so we stopped supporting that as well and simply suggest (require)
> the upgrade to the working Rev. D silicon.
>
>         -- Dan

-Frank
--
Frank Rowand <[email-masked]>
MontaVista Software, Inc

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/